Summary:	Network protocol analyzer
Name:		wireshark
Version:	1.2.18
Release:	1
License:	GPL
Group:		Networking/Utilities
Source0:	http://wireshark.org/download/src/all-versions/%{name}-%{version}.tar.bz2
Source1:	%{name}.desktop
Source2:	%{name}.png
Source3:	%{name}-autoconf.m4
URL:		http://www.wireshark.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:	make

BuildRequires:	c-ares-devel >= 1.7.1
BuildRequires:	GeoIP-devel >= 1.4.7-0.1.20090931cvs
BuildRequires:	glib2-devel >= 2.22.4
BuildRequires:	gnutls-devel >= 2.6.6
BuildRequires:	gtk2-devel >= 2.18.5
BuildRequires:	libgcrypt-devel >= 1.4.5
BuildRequires:	libgpg-error-devel >= 1.7
BuildRequires:	libpcap-devel >= 0.9.8-2
BuildRequires:	libsmi-devel >= 0.4.8
BuildRequires:	lua-devel >= 5.1.4
BuildRequires:	pango-devel >= 1.24.5
BuildRequires:	pcre-devel >= 7.9
BuildRequires:	readline-devel >= 5.2-2
BuildRequires:	zlib-devel >= 1.2.3-3

Requires:	bash
Requires:	c-ares >= 1.7.1
Requires:	GeoIP >= 1.4.7-0.1.20090931cvs
Requires:	glib2 >= 2.22.4
Requires:	gnutls >= 2.6.6
Requires:	gtk2 >= 2.18.5
Requires:	libgcrypt >= 1.4.5
Requires:	libgpg-error >= 1.7
Requires:	libpcap >= 0.9.8-2
Requires:	libsmi >= 0.4.8
Requires:	lua >= 5.1.4
Requires:	pango >= 1.24.5
Requires:	pcre >= 7.9
Requires:	readline >= 5.2-2
Requires:	zlib >= 1.2.3-3

%description
Wireshark is a free network protocol analyzer for Unix and Windows. It
allows you to examine data from a live network or from a capture file
on disk. You can interactively browse the capture data, viewing summary
and detail information for each packet. Wireshark has several powerful
features, including a rich display filter language and the ability to
view the reconstructed stream of a TCP session.


%package devel
Summary:	Development headers and libraries for wireshark
Group:		Development/Libraries
Requires:	%{name} = %{version}
Requires:	glib2-devel >= 2.22.4

%description devel
The wireshark-devel package contains the header files, developer
documentation, and libraries required for development of wireshark scripts
and plugins.


%prep
%setup -q
# fix the compile process
mkdir -p .libs
mkdir -p epan/.libs
cd .libs
ln -s ../epan/.libs/inet_pton.o .
ln -s ../epan/.libs/inet_pton.u .
cd ../epan
ln -s ../inet_pton.c .
cd ..
ln -s epan/inet_pton.lo .


%build
# for GTK2 xlc_r is needed
export CC=xlc_r

# force RTL linking
export LDFLAGS="-L/opt/freeware/lib -Wl,-bmaxdata:0x80000000 -Wl,-brtl"

./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --enable-shared --disable-static \
    --enable-wireshark \
    --disable-profile-build \
    --enable-ipv6 \
    --with-gnutls=yes \
    --with-gcrypt=yes \
    --with-libsmi \
    --with-pcap \
    --with-pcap-remote \
    --with-zlib \
    --with-pcre \
    --with-lua \
    --without-portaudio \
    --with-ssl=/opt/freeware \
    --without-krb5 \
    --with-c-ares \
    --with-adns \
    --with-geoip \
    --with-plugins

gmake %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
gmake DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

mkdir -p ${RPM_BUILD_ROOT}/etc/X11/applnk/Graphics
cp %{SOURCE1} ${RPM_BUILD_ROOT}/etc/X11/applnk/Graphics/
chmod 0644 ${RPM_BUILD_ROOT}/etc/X11/applnk/Graphics/*

mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/pixmaps
cp %{SOURCE2} ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/
chmod 0644 ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/*

#install devel files
mkdir -p ${RPM_BUILD_ROOT}%{_includedir}/%{name}
chmod 0755 ${RPM_BUILD_ROOT}%{_includedir}/%{name}
IDIR=${RPM_BUILD_ROOT}%{_includedir}/%{name}
mkdir -p ${IDIR}/epan
mkdir -p ${IDIR}/epan/ftypes
mkdir -p ${IDIR}/epan/dfilter
mkdir -p ${IDIR}/wiretap
cp color.h                  ${IDIR}/
cp register.h               ${IDIR}/
cp epan/packet.h            ${IDIR}/epan/
cp epan/prefs.h             ${IDIR}/epan/
cp epan/proto.h             ${IDIR}/epan/
cp epan/tvbuff.h            ${IDIR}/epan/
cp epan/pint.h              ${IDIR}/epan/
cp epan/to_str.h            ${IDIR}/epan/
cp epan/value_string.h      ${IDIR}/epan/
cp epan/column_info.h       ${IDIR}/epan/
cp epan/frame_data.h        ${IDIR}/epan/
cp epan/packet_info.h       ${IDIR}/epan/
cp epan/column-utils.h      ${IDIR}/epan/
cp epan/epan.h              ${IDIR}/epan/
cp epan/range.h             ${IDIR}/epan/
cp epan/gnuc_format_check.h ${IDIR}/epan/
cp epan/ipv4.h              ${IDIR}/epan/
cp epan/nstime.h            ${IDIR}/epan/
cp epan/ipv6-utils.h        ${IDIR}/epan/
cp epan/guid-utils.h        ${IDIR}/epan/
cp epan/exceptions.h        ${IDIR}/epan/
cp epan/address.h           ${IDIR}/epan/
cp epan/slab.h              ${IDIR}/epan/
cp epan/tfs.h               ${IDIR}/epan/
cp epan/except.h            ${IDIR}/epan/
cp epan/emem.h              ${IDIR}/epan/
cp epan/ftypes/ftypes.h     ${IDIR}/epan/ftypes/
cp epan/dfilter/dfilter.h   ${IDIR}/epan/dfilter/
cp epan/dfilter/drange.h    ${IDIR}/epan/dfilter/
cp wiretap/wtap.h           ${IDIR}/wiretap/
find ${IDIR} -name "*.h" -exec chmod 0644 {} \;

# Create pkg-config control file.
mkdir -p "${RPM_BUILD_ROOT}%{_libdir}/pkgconfig"
cat > "${RPM_BUILD_ROOT}%{_libdir}/pkgconfig/%{name}.pc" <<- "EOF"
prefix=%{_prefix}
exec_prefix=%{_prefix}
libdir=%{_libdir}
includedir=%{_includedir}

Name:		%{name}
Description:	Network Traffic Analyzer
Version:	%{version}
Requires:	glib-2.0 gmodule-2.0
Libs:		-L${libdir} -lwireshark -lwiretap
Cflags:		-DWS_VAR_IMPORT=extern -DHAVE_STDARG_H -I${includedir}/%{name} -I${includedir}/%{name}/epan
EOF

# Install the autoconf macro.
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/aclocal
cp %{SOURCE3} ${RPM_BUILD_ROOT}%{_datadir}/aclocal/%{name}.m4
chmod 644 ${RPM_BUILD_ROOT}%{_datadir}/aclocal/%{name}.m4

# make symlinks
(
  cd ${RPM_BUILD_ROOT}
  for dir in bin include lib
  do
    mkdir -p usr/${dir}
    cd usr/${dir}
    ln -sf ../..%{_prefix}/${dir}/* .
    cd -
  done
)


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README README.aix
%{_bindir}/*
%{_libdir}/*.so*
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/plugins
%{_libdir}/%{name}/plugins/%{version}
%{_mandir}/man?/*
%{_datadir}/%{name}
%attr(0644,root,system) /etc/X11/applnk/Graphics/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
/usr/bin/*


%files devel
%defattr(-,root,system)
%doc doc/README.*
%{_includedir}/*
%{_libdir}/*.la
%{_libdir}/pkgconfig/*
%{_datadir}/aclocal/*
/usr/include/*
/usr/lib/*.la


%changelog
* Fri Oct 28 2011 Michael Perzl <michael@perzl.org> - 1.2.18-1
- updated to version 1.2.18

* Wed Oct 20 2010 Michael Perzl <michael@perzl.org> - 1.2.12-1
- updated to version 1.2.12

* Fri Sep 03 2010 Michael Perzl <michael@perzl.org> - 1.2.11-1
- updated to version 1.2.11

* Fri Jul 30 2010 Michael Perzl <michael@perzl.org> - 1.2.10-1
- updated to version 1.2.10

* Sat Jun 12 2010 Michael Perzl <michael@perzl.org> - 1.2.9-1
- updated to version 1.2.9

* Thu May 20 2010 Michael Perzl <michael@perzl.org> - 1.2.8-2
- changed to RTL linking to enable DSO plugins
- added a "devel" package to be able to build additional plugins

* Wed May 19 2010 Michael Perzl <michael@perzl.org> - 1.2.8-1
- first version for AIX V5.1 and higher
